DESCENT3(6)

NAME
descent3 - 3D space shooter game

SYNOPSIS
descent3 [options]

DESCRIPTION
This manual page documents briefly the descent3 command.

Descent 3 is a space first-person shooter video game developed by Outrage Entertainment and originally published in 1999. The game data needs to be installed independently using the 'game-data-packager' program, and by default it will be looked for at /usr/share/games/descent3

OPTIONS

Audio Options

-nomusic
    Disables music.

-nosound
    Disables all sound, including music.

Display Options

-aspect <value>
    Specifies the screen aspect ratio for non-standard displays, such as wide-screen TVs.

-height <height>
    Sets the screen resolution to the specified height, if possible.

-width <width>
    Sets the screen resolution to the specified width, if possible.

-NoRenderWindows
    Causes all windows to be fully transparent. Use this option if your card does not correctly render partially-transparent windows.

-vsync
    Turns on Vertical Sync. The flag will be enabled in the registry so it will be on when the game is run again.

-windowed
    Runs the game in a window.

Input Options

-deadzone <k>
    Specifies the size of the deadzone for a joystick.

-mlooksens <scale>
    Determines how much the player moves when the mouse is moved.

-mousesens <scale>
    Adjusts the sensitivity of the mouse when not using mouselook mode.

Performance Options

-fastdemo
    Causes a demo to play back at the highest speed your computer is capable of.

-forcelightmaps
    Forces the use of lightmaps, even the Default Detail Level is set to Low in the launcher setup.

-framecap <fps>
    Limits the framerate to the number of frames per second specified.

-himem
    Forces normal operations even when low memory conditions are detected.

-lowmem
    Uses scaled-down textures and lower quality (8-bit) sounds to conserve memory.

-superlowmem
    Uses the -lowmem settings and further scales down textures to conserve memory.

-nolightmaps
    Disables lightmaps. This will improve performance on low-end video cards.

-nomotionblur
    Disables motion blur on robots.

-nosatomega
    Disables alpha saturation on the omega cannon effect.

-nosparkles
    Disables powerup sparkles.

Multiplayer and Network Options: TODO

Other Options

-logfile
    Generates a logfile d3.log.

-makemovie
    Causes the demo system to save a screenshot of every frame during playback.

-mission <name>
    Loads the specified mission file at startup.

-pilot <name>
    Specifies the pilot to use, skipping the pilot selection dialog when the game starts.

-setdir <path>
    Specifies the working directory for Descent 3.

-useexedir <path>
    Tells Descent 3 to use the directory in which the executable is located as the working directory.

FILES

/usr/share/games/descent3/
    Game data files.

$XDG_DATA_HOME/Outrage Entertainment/Descent 3/
    defaulting to ~/.local/share/Outrage Entertainment/Descent 3/

    Configuration, savegames, demos & logfile

$XDG_CACHE_HOME/Descent3/
    defaulting to ~/.cache/Descent3/

    Temporay files

AUTHOR
Descent 3 was written by Outrage Entertainment. The Descent community continues the development at https://github.com/DescentDevelopers/Descent3

This manual page was written by Sébastien Noel <sebastien@twolife.be>, for the Debian project (but may be used by others).